org.apache.struts2.plexus

## Class PlexusFilter

- java.lang.Object
- - org.apache.struts2.plexus.PlexusFilter

- All Implemented Interfaces:
    javax.servlet.Filter

      public class PlexusFilter
      extends Object
      implements javax.servlet.Filter

  Creates a plexus container for the application, session, and request

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlexusFilter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `doFilter(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res, javax.servlet.FilterChain chain)`
    `void` | `init(javax.servlet.FilterConfig filterConfig)`
    `static boolean` | `isLoaded()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlexusFilter

          public PlexusFilter()

  - ### Method Detail

    - #### isLoaded

          public static boolean isLoaded()

      Returns:
        Returns if the container is loaded.

    - #### init

          public void init(javax.servlet.FilterConfig filterConfig)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Throws:
        `javax.servlet.ServletException`

    - #### doFilter

          public void doFilter(javax.servlet.ServletRequest req,
                               javax.servlet.ServletResponse res,
                               javax.servlet.FilterChain chain)
                        throws IOException,
                               javax.servlet.ServletException

      Specified by:
        `doFilter` in interface `javax.servlet.Filter`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Filter`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.